enum ServiceTypeEnum {
  advancePayment, //3
  ancillaryOrder, //3
  appointmentPayment, //2
  covidPayment, //2
  erOnlineCheckIn, //3
  liveCareAppointment //4
}

extension ServiceTypeEnumExt on ServiceTypeEnum {
  String value() {
    switch (this) {
      case ServiceTypeEnum.advancePayment:
        return "Advance Payment";
      case ServiceTypeEnum.ancillaryOrder:
        return "Ancillary Order";
      case ServiceTypeEnum.appointmentPayment:
        return "Appointment Payment";
      case ServiceTypeEnum.covidPayment:
        return "Covid Payment";
      case ServiceTypeEnum.erOnlineCheckIn:
        return "ER Online Check In";
      case ServiceTypeEnum.liveCareAppointment:
        return "LiveCare Appointment";
    }
  }

  int getIdFromServiceEnum() {
    switch (this) {
      case ServiceTypeEnum.advancePayment:
        return 3;
      case ServiceTypeEnum.ancillaryOrder:
        return 3;
      case ServiceTypeEnum.appointmentPayment:
        return 2;
      case ServiceTypeEnum.covidPayment:
        return 2;
      case ServiceTypeEnum.erOnlineCheckIn:
        return 3;
      case ServiceTypeEnum.liveCareAppointment:
        return 4;
    }
  }
}
